<?php
/*
Plugin Name: SpyderSpanker Pro
Plugin URI: http://spyderspanker.com/
Description: Blocks bad spiders, throttles good ones.
Author: Todd S.
Author URI: http://spyderspanker.com/
Version: 3.50
*/


if (!defined('SPYDERS_SPOOF_LIVE')) {
	define('SPYDERS_SPOOF_LIVE',FALSE);
}
if (!defined('SPYDERS_DEBUG')) {
	define('SPYDERS_DEBUG',FALSE);
}

require_once('plugin-update-checker.php');
require_once('plugin.php');

register_activation_hook(__FILE__,'SPYDERS::activatePlugin');
register_deactivation_hook(__FILE__,'SPYDERS::deactivatePlugin');

add_action('init','SPYDERS::checkUpgrade');
add_action('admin_init','SPYDERS::initAdmin');
add_action('admin_menu', 'SPYDERS::drawAdminMenu');

add_action('plugins_loaded','SPYDERS::checkRules',-1400000000);
add_action('wp','SPYDERS::collectLive');
add_action('plugins_loaded','SPYDERS::watchTraffic');

	
	
	
